Subject: bug#55370: [PATCH] Add support for the Syloti Nagri script

From: समीर सिंह Sameer Singh <[email-masked]>
Date: Sun, 15 May 2022 20:11:28 +0530

They look alright to me.
1. ꠝꠥ (\xA81D\xA825) (buffer positions 2684 and 2685)
C-u C-x = shows
position: 2684 of 3952 (68%), column: 48
            character: ꠝ (displayed as ꠝ) (codepoint 43037, #o124035,
#xa81d)
              charset: unicode (Unicode (ISO10646))
code point in charset: 0xA81D
               script: syloti-nagri
               syntax: w which means: word
             category: .:Base, L:Strong L2R
             to input: type "C-x 8 RET a81d" or "C-x 8 RET SYLOTI NAGRI
LETTER MO"
          buffer code: #xEA #xA0 #x9D
            file code: #xEA #xA0 #x9D (encoded by coding system utf-8-unix)
              display: composed to form "ꠝꠥ" (see below)

Composed with the following character(s) "ꠥ" using this font:
  ftcrhb:-GOOG-Noto Sans Syloti
Nagri-regular-normal-normal-*-40-*-*-*-*-0-iso10646-1
by these glyphs:
  [0 1 43037 46 26 -1 27 28 1 nil]
  [0 1 43045 54 0 -16 1 1 11 nil]
with these character(s):
  ꠥ (#xa825) SYLOTI NAGRI VOWEL SIGN U

Character code properties: customize what to show
  name: SYLOTI NAGRI LETTER MO
  general-category: Lo (Letter, Other)
  decomposition: (43037) ('ꠝ')

2. ꠇꠥ (\xA807\xA825) (buffer positions 2691 and 2692)
C-u C-x = shows
position: 2691 of 3952 (68%), column: 54
            character: ꠇ (displayed as ꠇ) (codepoint 43015, #o124007,
#xa807)
              charset: unicode (Unicode (ISO10646))
code point in charset: 0xA807
               script: syloti-nagri
               syntax: w which means: word
             category: .:Base, L:Strong L2R
             to input: type "C-x 8 RET a807" or "C-x 8 RET SYLOTI NAGRI
LETTER KO"
          buffer code: #xEA #xA0 #x87
            file code: #xEA #xA0 #x87 (encoded by coding system utf-8-unix)
              display: composed to form "ꠇꠥ" (see below)

Composed with the following character(s) "ꠥ" using this font:
  ftcrhb:-GOOG-Noto Sans Syloti
Nagri-regular-normal-normal-*-40-*-*-*-*-0-iso10646-1
by these glyphs:
  [0 1 43015 24 36 -1 37 28 1 nil]
  [0 1 43045 54 0 -16 1 1 11 nil]
with these character(s):
  ꠥ (#xa825) SYLOTI NAGRI VOWEL SIGN U

These outputs seem to show that they are composed properly.

Do they appear the same as the attached screenshots in your end?

On Sun, May 15, 2022 at 7:53 PM Eli Zaretskii <[email-masked]> wrote:

> > From: समीर सिंह Sameer Singh <[email-masked]>
> > Date: Sun, 15 May 2022 19:10:50 +0530
> > Cc: [email-masked]
> >
> > I am sorry but I do not see the problem on my end.
> > Here they look composed as intended.
> > I have attached a screenshot, please check whether it matches your
> output.
>
> I mean characters at buffer positions 2685 and 2692.
>